DWARF_ADD_AT_PRODUCER(3) | Library Functions Manual | DWARF_ADD_AT_PRODUCER(3)

# NAME

dwarf_add_AT_producer — create and attach a DW_AT_producer attribute

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

#include <libdwarf.h>

Dwarf_P_Attribute
dwarf_add_AT_producer(Dwarf_P_Die die, char *producer, Dwarf_Error *err);

# DESCRIPTION

Function dwarf_add_AT_producer() creates a DW_AT_producer attribute descriptor and attaches it to the debugging information entry referenced by argument die. The created attribute will have DWARF form DW_FORM_strp.

Argument die should reference a debugging information entry allocated using dwarf_new_die(3).

Argument producer should point to a NUL-terminated string which will become the value of the created attribute.

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function dwarf_add_AT_producer() returns the created attribute descriptor. In case of an error, function dwarf_add_AT_producer() returns DW_DLV_BADADDR and sets the argument err.

# ERRORS

Function dwarf_add_AT_producer() can fail with:

[DW_DLE_ARGUMENT]
  Either of the arguments die or producer was NULL.
[DW_DLE_MEMORY]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_AT_comp_dir(3), dwarf_add_AT_const_value_string(3), dwarf_add_AT_name(3), dwarf_add_AT_string(3), dwarf_new_die(3)

September 4, 2011 | NetBSD 7.2